gtkmm: Gtk::Border Class Reference

gtkmm 3.5.13

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions
Gtk::Border Class Reference

This specifies a border around a rectangular area that can be of a different width on each side. More...

List of all members.

## Public Member Functions
| Border ()
| Border (GtkBorder* gobject, bool make_a_copy=true)
| Border (const Border& other)
Border& | operator= (const Border& other)
| ~Border ()
void | swap (Border& other)
GtkBorder* | gobj ()
| Provides access to the underlying C instance.
const GtkBorder* | gobj () const
| Provides access to the underlying C instance.
GtkBorder* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
int | get_left () const
| Get the width of the left border.
void | set_left (const int& value)
| Set the width of the left border.
int | get_right () const
| Get the width of the right border.
void | set_right (const int& value)
| Set the width of the right border.
int | get_top () const
| Get the width of the top border.
void | set_top (const int& value)
| Set the width of the top border.
int | get_bottom () const
| Get the width of the bottom border.
void | set_bottom (const int& value)
| Set the width of the bottom border.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Attributes
GtkBorder* | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (Border& lhs, Border& rhs)
Gtk::Border | wrap (GtkBorder* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This specifies a border around a rectangular area that can be of a different width on each side.

## Constructor & Destructor Documentation

Gtk::Border::Border | ( |  | ) |

Gtk::Border::Border | ( | GtkBorder * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |
| explicit

Gtk::Border::Border | ( | const Border& | other | ) |

Gtk::Border::~Border | ( |  | ) |

## Member Function Documentation

int Gtk::Border::get_bottom | ( |  | ) | const

Get the width of the bottom border.

int Gtk::Border::get_left | ( |  | ) | const

Get the width of the left border.

int Gtk::Border::get_right | ( |  | ) | const

Get the width of the right border.

int Gtk::Border::get_top | ( |  | ) | const

Get the width of the top border.

static GType Gtk::Border::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkBorder* Gtk::Border::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

const GtkBorder* Gtk::Border::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

GtkBorder* Gtk::Border::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

Border& Gtk::Border::operator= | ( | const Border& | other | ) |

void Gtk::Border::set_bottom | ( | const int & | value | ) |

Set the width of the bottom border.

void Gtk::Border::set_left | ( | const int & | value | ) |

Set the width of the left border.

void Gtk::Border::set_right | ( | const int & | value | ) |

Set the width of the right border.

void Gtk::Border::set_top | ( | const int & | value | ) |

Set the width of the top border.

void Gtk::Border::swap | ( | Border& | other | ) |

## Friends And Related Function Documentation

void swap | ( | Border& | lhs,
|  | Border& | rhs
| ) |  |
| related

Parameters:

  lhs | The left-hand side
  rhs | The right-hand side

Gtk::Border wrap | ( | GtkBorder * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkBorder* Gtk::Border::gobject_
| protected

The documentation for this class was generated from the following file:

- gtkmm/border.h